"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Badge = void 0;
const react_1 = __importDefault(require("react"));
const Icon_1 = require("../Icon");
const Stack_1 = require("../Stack");
const Text_1 = require("../Text");
const BG_MAP = {
    trial: '#644ed7',
    pro: '#EDFFA5',
    neutral: '#2e2e2e',
    warning: 'rgba(255, 255, 255, 0.06)',
    highlight: '#edffa5',
    error: '#EF7A7A',
};
const COLOR_MAP = {
    trial: '#fff',
    pro: '#0E0E0E',
    neutral: 'inherit',
    warning: '#ef7a7a',
    highlight: 'inherit',
    error: '#0E0E0E',
};
const Badge = ({ variant = 'neutral', icon, children, }) => {
    return (react_1.default.createElement(Stack_1.Stack, { css: {
            alignItems: 'center',
            padding: '2px 8px',
            userSelect: 'none',
            borderRadius: '999px',
            backgroundColor: BG_MAP[variant],
            color: COLOR_MAP[variant],
        }, gap: 1 },
        icon && react_1.default.createElement(Icon_1.Icon, { size: 12, name: icon }),
        react_1.default.createElement(Text_1.Text, { size: 12, lineHeight: "16px" }, children)));
};
exports.Badge = Badge;
