import React, { CSSProperties } from 'react';
import { Button } from '../Button';
declare type ButtonProps = React.ComponentProps<typeof Button>;
declare type ComboButtonProps = {
    children: React.ReactNode;
    disabled?: boolean;
    /**
     * Workaround to make the button fill the space if needed.
     * Passing custom CSS is not possible in this case.
     */
    fillSpace?: boolean;
    customStyles?: CSSProperties;
    options: NonNullable<React.ReactNode>;
} & ButtonProps;
declare const ComboButton: {
    ({ children, fillSpace, customStyles, options, variant, ...props }: ComboButtonProps): JSX.Element;
    /**
     * Re-export the Menu components to make it easer
     * to use the ComboButton.
     */
    Item: ({ children, ...props }: {
        children: NonNullable<React.ReactNode>;
        disabled?: boolean;
        onSelect: () => void;
    }) => JSX.Element;
    Divider: (props: any) => JSX.Element;
};
export { ComboButton };
