import React from 'react';
import { IElementProps } from '../Element';
import * as icons from './icons';
export declare type IconNames = keyof typeof icons;
declare type IconProps = React.SVGAttributes<SVGElement> & IElementProps & {
    /** name of the icon */
    name: IconNames;
    /** title for accessibility */
    title?: string;
    /** Size of the icon, the button is set to 26x26 */
    size?: number;
};
export declare const Icon: React.FC<IconProps>;
export {};
