import React from 'react';
import { IconNames } from '../Icon';
import { IElementProps } from '../Element';
declare type IconButtonProps = React.ButtonHTMLAttributes<HTMLButtonElement> & {
    /** name of the icon */
    name: IconNames;
    /** icon button should have a title for accessibility */
    title: string;
    /** Size of the icon, the button is set to 26x26 */
    size?: number;
    /** Variant - square or round */
    variant?: 'square' | 'round';
    /** Not ideal, but should work when we move to prism */
    as?: any;
    /** Any custom css necessary */
    css?: IElementProps['css'];
};
export declare const IconButton: React.FC<IconButtonProps>;
export {};
