import { AnchorHTMLAttributes, ButtonHTMLAttributes } from 'react';
declare type AnchorProps = {
    href: string;
    radius?: number;
} & AnchorHTMLAttributes<HTMLAnchorElement>;
declare type ButtonProps = {
    radius?: number;
} & ButtonHTMLAttributes<HTMLButtonElement>;
declare type ItemProps = {
    children: JSX.Element;
    radius?: number;
    className?: never;
};
declare type WrapperProps = {
    children: JSX.Element;
    isElement?: boolean;
    className?: never;
};
export declare const InteractiveOverlay: {
    ({ children, isElement, }: Pick<WrapperProps, 'children' | 'isElement'>): JSX.Element;
    Item: import("styled-components").StyledComponent<({ children, className: styledClassName }: ItemProps) => JSX.Element, any, ItemProps, never>;
    Button: import("styled-components").StyledComponent<"button", any, ButtonProps, never>;
    Anchor: import("styled-components").StyledComponent<"a", any, AnchorProps, never>;
};
export {};
