import React from 'react';
import { Button } from '../Button';
import { ComboButton } from '../ComboButton/ComboButton';
declare type Variant = 'trial' | 'warning' | 'primary' | 'neutral';
declare type Corners = 'rounded' | 'straight';
interface MessageActionProps extends Omit<React.ComponentProps<typeof Button>, 'variant'> {
    children: string;
    variant?: Variant;
}
export declare const MessageAction: ({ children, variant, ...buttonProps }: MessageActionProps) => JSX.Element;
interface MessageMultiActionsProps extends Omit<React.ComponentProps<typeof ComboButton>, 'variant'> {
    variant?: Variant;
}
export declare const MessageMultiActions: ({ children, variant, ...props }: MessageMultiActionsProps) => JSX.Element;
interface MessageStripeProps {
    children: React.ReactNode;
    corners?: Corners;
    justify?: 'center' | 'space-between';
    variant?: Variant;
    onDismiss?: () => void;
}
declare const MessageStripe: {
    ({ children, corners, variant, justify, onDismiss, }: MessageStripeProps): JSX.Element;
    Action: ({ children, variant, ...buttonProps }: MessageActionProps) => JSX.Element;
    MultiActions: ({ children, variant, ...props }: MessageMultiActionsProps) => JSX.Element;
    MultiActionsItem: ({ children, ...props }: {
        children: React.ReactNode;
        disabled?: boolean;
        onSelect: () => void;
    }) => JSX.Element;
};
export { MessageStripe };
