import React from 'react';
import '@reach/tooltip/styles.css';
/** Dragon number 2:
 * wait global styles?
 * Because tooltips are creating in a portal,
 * styles applied from our theme provider do not work
 * because they are outside that tree - portal
 * so we apply global styles with their [data-reach-name]
 */
export declare const TooltipStyles: import("styled-components").GlobalStyleComponent<{}, import("styled-components").DefaultTheme>;
interface TooltipProps {
    label: string | React.ReactElement | null;
    children: React.ReactElement;
}
/** Dragon number 3:
 * to attach a triangle and transitions to the tooltip,
 * we have to drop one abstraction level deeper and use
 * TooltipPopup and create the triangle in another component
 */
/**
 * Render a tooltip around the children, if you pass `null` to `label` the Tooltip
 * won't be rendered.
 */
declare const Tooltip: React.FC<TooltipProps>;
export { Tooltip };
